summaryrefslogtreecommitdiff
path: root/intltoolize.in
diff options
context:
space:
mode:
authordarin <>2001-10-01 19:12:51 +0000
committerdarin <>2001-10-01 19:12:51 +0000
commitf9e54d9bb8e01085c59d62fcd5509fe85a116afd (patch)
treeaebd421998952c0abf58fbe3d0c83c0456a1063c /intltoolize.in
parent9e4962d2db268b1def3ce263b35cd2f350f2e9ae (diff)
downloadintltool-f9e54d9bb8e01085c59d62fcd5509fe85a116afd.tar.gz
First cut at all the name changes to call it intltool.
If you use the new m4 macros, everything defaults to doing it the right way for gnome 2 (using UTF-8 everywhere).
Diffstat (limited to 'intltoolize.in')
-rw-r--r--intltoolize.in57
1 files changed, 26 insertions, 31 deletions
diff --git a/intltoolize.in b/intltoolize.in
index 600ba55..7973eda 100644
--- a/intltoolize.in
+++ b/intltoolize.in
@@ -1,5 +1,5 @@
#! /bin/sh
-# xml-i18n-toolize - Prepare a package to use xml-i18-tools.
+# intltoolize - Prepare a package to use intltool.
# @configure_input@
# Copyright (C) 1996-1999 Free Software Foundation, Inc.
# Copyright (C) 2001 Eazel, Inc.
@@ -31,7 +31,7 @@
progname=`echo "$0" | sed 's%^.*/%%'`
# Constants.
-PROGRAM=xml-i18n-toolize
+PROGRAM=intltoolize
PACKAGE=@PACKAGE@
VERSION=@VERSION@
@@ -41,7 +41,7 @@ datadir=@datadir@
pkgdatadir=@pkgdatadir@
dry_run=no
-help="Try \`$progname --help' for more information."
+help="Try '$progname --help' for more information."
rm="rm -f"
ln_s="ln -s"
cp="cp -f"
@@ -60,7 +60,7 @@ do
cat <<EOF
Usage: $progname [OPTION]...
-Prepare a package to use xml-i18n-tools.
+Prepare a package to use intltool.
--automake work silently, and assume that Automake is in use
-c, --copy copy files rather than symlinking them
@@ -70,8 +70,8 @@ Prepare a package to use xml-i18n-tools.
--help display this message and exit
--version print version information and exit
-You must \`cd' to the top directory of your package before you run
-\`$progname'.
+You must 'cd' to the top directory of your package before you run
+'$progname'.
EOF
exit 0
;;
@@ -109,7 +109,7 @@ EOF
;;
-*)
- echo "$progname: unrecognized option \`$arg'" 1>&2
+ echo "$progname: unrecognized option '$arg'" 1>&2
echo "$help" 1>&2
exit 1
;;
@@ -123,18 +123,13 @@ EOF
done
if test ! -f configure.in; then
- echo "$progname: \`configure.in' does not exist" 1>&2
+ echo "$progname: 'configure.in' does not exist" 1>&2
echo "$help" 1>&2
exit 1
fi
-files=`cd $pkgdatadir && ls`
-if test -z "$files"; then
- echo "$progname: cannot list files in \`$pkgdatadir'" 1>&2
- exit 1
-fi
-files='xml-i18n-extract.in xml-i18n-merge.in xml-i18n-update.in'
+files='intltool-extract.in intltool-merge.in intltool-update.in'
auxdir=.
auxdirline=`egrep '^AC_CONFIG_AUX_DIR' configure.in 2>/dev/null`
@@ -172,35 +167,35 @@ else
fi
if test -z "$automake"; then
- if egrep '^A[MC]_PROG_XML_I18N_TOOLS' configure.in >/dev/null 2>&1; then :
+ if egrep '^AC_PROG_INTLTOOL' configure.in >/dev/null 2>&1; then :
else
- echo "Remember to add \`AM_PROG_XML_I18N_TOOLS' to \`configure.in'."
+ echo "Remember to add 'AC_PROG_INTLTOOL' to 'configure.in'."
fi
if grep 'generated automatically by aclocal' aclocal.m4 >/dev/null 2>&1; then
- updatemsg="update your \`aclocal.m4' by running aclocal"
+ updatemsg="update your 'aclocal.m4' by running aclocal"
else
- updatemsg="add the contents of \`$xml_i18n_tools_m4' to \`aclocal.m4'"
+ updatemsg="add the contents of '$intltool_m4' to 'aclocal.m4'"
fi
- if egrep '^AC_DEFUN\(A[MC]_PROG_XML_I18NTOOLS' aclocal.m4 >/dev/null 2>&1; then
- # Check the version number on xml-i18n-tools.m4 and the one used in aclocal.m4.
- instserial=`grep '^# serial ' $xml_i18n_tools_m4 | grep 'A[MC]_PROG_XML_I18N_TOOLS' | sed -e 's/^# serial \([0-9][0-9]*\).*$/\1/; q'`
+ if egrep '^AC_DEFUN\(AC_PROG_INTLTOOL' aclocal.m4 >/dev/null 2>&1; then
+ # Check the version number on intltool.m4 and the one used in aclocal.m4.
+ instserial=`grep '^# serial ' $intltool_m4 | grep 'AC_PROG_INTLTOOL' | sed -e 's/^# serial \([0-9][0-9]*\).*$/\1/; q'`
if test -z "$instserial"; then
- echo "$progname: warning: no serial number on \`$xml_i18n_tools_m4'" 1>&2
+ echo "$progname: warning: no serial number on '$intltool_m4'" 1>&2
else
# If the local macro has no serial number, we assume it's ancient.
- localserial=`grep '^# serial ' aclocal.m4 | grep 'A[MC]_PROG_XML_I18N_TOOLS' | sed -e 's/^# serial \([0-9][0-9]*\).*$/\1/; q'`
+ localserial=`grep '^# serial ' aclocal.m4 | grep 'AC_PROG_INTLTOOL' | sed -e 's/^# serial \([0-9][0-9]*\).*$/\1/; q'`
test -z "$localserial" && localserial=0
if test "$localserial" -lt "$instserial"; then
echo "You should $updatemsg."
elif test "$localserial" -gt "$instserial"; then
- echo "$progname: \`$xml_i18n_tools_m4' is serial $instserial, less than $localserial in \`aclocal.m4'" 1>&2
+ echo "$progname: '$intltool_m4' is serial $instserial, less than $localserial in 'aclocal.m4'" 1>&2
if test -z "$force"; then
- echo "Use \`--force' to replace newer xml-i18n-tools files with this version." 1>&2
+ echo "Use '--force' to replace newer intltool files with this version." 1>&2
exit 1
fi
echo "To remain compatible, you should $updatemsg."
@@ -215,13 +210,13 @@ fi
# Change to the auxiliary directory.
if test "$auxdir" != .; then
- test -z "$automake" && echo "Putting files in AC_CONFIG_AUX_DIR, \`$auxdir'."
+ test -z "$automake" && echo "Putting files in AC_CONFIG_AUX_DIR, '$auxdir'."
cd $auxdir || exit 1
fi
for file in $files; do
if test -f "$file" && test -z "$force"; then
- test -z "$automake" && echo "$progname: \`$file' exists: use \`--force' to overwrite" 1>&2
+ test -z "$automake" && echo "$progname: '$file' exists: use '--force' to overwrite" 1>&2
continue
fi
@@ -229,7 +224,7 @@ for file in $files; do
if test -n "$ln_s" && $ln_s $pkgdatadir/$file $file; then :
elif $cp $pkgdatadir/$file $file; then :
else
- echo "$progname: cannot copy \`$pkgdatadir/$file' to \`$file'" 1>&2
+ echo "$progname: cannot copy '$pkgdatadir/$file' to '$file'" 1>&2
status=1
fi
done
@@ -238,11 +233,11 @@ done
# gets at source files relative to the current directory.
if grep GENPOT po/Makefile.in.in >/dev/null; then
- echo "no need for patching file \`Makefile.in.in'";
+ echo "no need for patching file 'Makefile.in.in'";
elif grep builddir po/Makefile.in.in >/dev/null; then
- patch po/Makefile.in.in < $pkgdatadir/xml-i18n-po-Makefile.in.in-patch-2
+ patch po/Makefile.in.in < $pkgdatadir/intltool-po-Makefile.in.in-patch-2
else
- patch po/Makefile.in.in < $pkgdatadir/xml-i18n-po-Makefile.in.in-patch-1
+ patch po/Makefile.in.in < $pkgdatadir/intltool-po-Makefile.in.in-patch-1
fi
exit $status